# Enum Class CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category

java.lang.Object
java.lang.Enum<CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category>
picard.analysis.CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category

All Implemented Interfaces:
  `Serializable, Comparable<CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category>, Constable`

Enclosing class:
  `CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage`

public static enum CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category extends Enum<CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category>

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NON_ZERO_REGIONS`
`WHOLE_GENOME`

## Method Summary

Modifier and Type
Method
Description
`static CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WHOLE_GENOME

public static final CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category WHOLE_GENOME

### NON_ZERO_REGIONS

public static final CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category NON_ZERO_REGIONS

## Method Details

### values

public static CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CollectWgsMetricsWithNonZeroCoverage.WgsMetricsWithNonZeroCoverage.Category valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null